> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List credentials for a specific package

> Returns all credentials stored under the given `packageName`. Each credential includes its name, secret path, and the list of fields it holds.



## OpenAPI

````yaml /api-reference/phones.yaml get /credentials/packages/{packageName}
openapi: 3.1.0
info:
  title: Phones
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /credentials/packages/{packageName}:
    get:
      tags:
        - App Credentials
      summary: List credentials for a specific package
      description: >-
        Returns all credentials stored under the given `packageName`. Each
        credential includes its name, secret path, and the list of fields it
        holds.
      operationId: listPackageCredentials
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 200
          required: true
          name: packageName
          in: path
      responses:
        '200':
          description: Package credentials fetched successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Credential'
                required:
                  - data
        '401':
          description: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const packages = await client.credentials.packages.list('x');

            console.log(packages.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            packages = client.credentials.packages.list(
                "x",
            )
            print(packages.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpackages, err := client.Credentials.Packages.List(context.TODO(), \"x\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", packages.Data)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud credentials:packages list \
              --api-key 'My API Key' \
              --package-name x
components:
  schemas:
    Credential:
      type: object
      properties:
        userId:
          type: string
        packageName:
          type: string
        secretPath:
          type: string
        credentialName:
          type: string
        fields:
          type: array
          items:
            type: object
            properties:
              fieldType:
                type: string
                enum:
                  - email
                  - username
                  - password
                  - api_token
                  - phone_number
                  - two_factor_secret
                  - backup_codes
              value:
                type: string
                minLength: 1
            required:
              - fieldType
              - value
      required:
        - userId
        - packageName
        - secretPath
        - credentialName
        - fields
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````